Subject: Building kernel for more than one SoC

From: [email-masked] (Grant Edwards)
Date: Mon, 11 Aug 2014 21:57:54 +0000 (UTC)

On 2014-08-11, Robert Nelson <[email-masked]> wrote:
> On Mon, Aug 11, 2014 at 4:15 PM, Grant Edwards
><[email-masked]> wrote:
>> On 2014-08-11, Russell King - ARM Linux <[email-masked]> wrote:
>>> On Mon, Aug 11, 2014 at 08:43:35PM +0000, Grant Edwards wrote:
>>>> On 2014-08-11, Robert Nelson <[email-masked]> wrote:
>>>> >> Now it's up to somebody else to decide if the price difference between
>>>> >> a G20 and G25 is worth the engineering time to upgrade U-Boot and
>>>> >> Linux kernel to versions that know about device trees...
>>>> >
>>>> > http://cateee.net/lkddb/web-lkddb/ARM_APPENDED_DTB.html
>>>>
>>>> Interesting.  That would still require modifying U-Boot so that at
>>>> run-time it detects the SoC type and appends the proper DTB to the
>>>> kernel image, but it that may be less work than "real" DTB support in
>>>> U-Boot.
>>>
>>> The idea of that feature is:
>>>
>>> - You take the kernel zImage
>>> - You take the appropriate dtb file
>>> - You concatenate the dtb file into the zImage
>>> - You run mkimage on the resulting combined image to create the special
>>>   uboot format file for uboot to load
>>
>> The problem is now you've got a kernel image that won't run on both
>> the '9g20 and the '9g25.  The requirement is to have a kernel image
>> that will run on either.
>
> Then, upgrade your u-boot to mainline, use the dtb, etc.  You have a
> lot of excuses. ;)

Yep. Unfortunately, excuses aren't the problem.  Cost (mostly
opportunity cost) is the problem...

-- 
Grant Edwards               grant.b.edwards        Yow! Is it NOUVELLE
                                  at               CUISINE when 3 olives are
                              gmail.com            struggling with a scallop
                                                   in a plate of SAUCE MORNAY?